%define upstream_name    BioPerl
%define upstream_version 1.6.924

%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}
%global __requires_exclude perl\\(Bio::Expression::Contact\\)|perl\\(Bio::Expression::DataSet\\)|perl\\(Bio::Expression::FeatureSet\\)|perl\\(Bio::Expression::Platform\\)|perl\\(Bio::Expression::Sample\\)|perl\\(TestInterface\\)
%global __provides_exclude perl\\(Error\\)|perl\\(Error::Simple\\)|perl\\(Error::subs\\)|perl\\(TestInterface\\)|perl\\(TestObject\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    BioPerl core modules
Group:      Development/Perl
License:    Artistic
Url:        http://www.bioperl.org
Source0:    http://bioperl.org/DIST/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN) >= 1.810.0
BuildRequires: perl(DB_File)
BuildRequires: perl(Data::Stag) >= 0.110.0
BuildRequires: perl(ExtUtils::Manifest) >= 1.520.0
BuildRequires: perl(IO::String)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Harness) >= 2.620.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

Obsoletes:  perl-bioperl <= 1.6.901
Provides:   perl-bioperl

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor <<EOI
n
n
a
n
EOI
./Build


%install
./Build install --destdir=%{buildroot}
# those should belong to Bioperl-Run instead
%{__rm} -f %{buildroot}%{_bindir}/bp_pairwise_kaks.pl
%{__rm} -f %{buildroot}%{_bindir}/bp_blast2tree.pl

# correct permissions
find %{buildroot}%{perl_vendorlib}/Bio/ -name "*.pm" -exec chmod 644 {} \;

# clean doc
executables='.*\(\.\(pl\|cgi\)\|pdf2index\|dbfetch\)$'
for dir in examples doc;
do
	find $dir -type f -regex $executables | xargs chmod 644
	find $dir -type f -regex $executables | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|'
	find $dir -type f ! -regex $executables | xargs chmod 644
	find $dir -type f | xargs perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;'
done

%files
%doc AUTHORS BUGS Changes DEPENDENCIES DEPRECATED INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Bio/
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.6.924-11pclos2017
- rebuild against updates

